Bug 75856 - Proxy Settings UI should be shared all over IDE
Proxy Settings UI should be shared all over IDE
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Options&Settings
5.x
All All
: P2 (vote)
: 6.x
Assigned To: Jiri Rechtacek
issues@platform
http://ui.netbeans.org/docs/ui/proxyC...
plan60 nbide
: PLATFORM, UI
Depends on: 74855 85270 91726
Blocks: 75053 91696
  Show dependency treegraph
 
Reported: 2006-05-03 15:38 UTC by ikar
Modified: 2008-12-22 11:57 UTC (History)
3 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
draft version, far to final (70.55 KB, patch)
2006-11-14 14:22 UTC, Jiri Rechtacek
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ikar 2006-05-03 15:38:23 UTC
In a NB-platform base application, I'd like to reuse the options panel to
configure proxy settings. However, there are many options on the same General
panel, including java options, that are irrelevant to the application
It should be possible to simpy reuse some panel for proxy settings without
having modules for java support, etc.
Comment 1 Jan Jancura 2006-06-11 15:14:35 UTC
Currently not supported - feature request.
Comment 2 Jiri Rechtacek 2006-11-14 14:22:52 UTC
Created attachment 36046 [details]
draft version, far to final
Comment 3 Josef Pavlicek 2007-01-04 15:27:17 UTC
We solved it on the UI Spec:
http://xdesign-tools.czech.sun.com:8080/JSPWiki/Wiki.jsp?page=JH_Proxy_Configuration_Dialog

The UI Spec is reviewed. 
Josef Pavlicek
Comment 4 rittmey 2007-01-08 20:04:37 UTC
The link is broken - or to be more specific: SUN's nameserver ns.sun.com is not
able to provide an ip address for this hostname. Most probably it's some
SUN-internal server only. So please give us another download server or attach
the document.

Thx!
Comment 5 Josef Pavlicek 2007-01-08 20:55:24 UTC
I'm sorry, it was mistake. The correct link is here
http://ui.netbeans.org/docs/ui/proxyConfiguration/ 

Josef
Comment 6 Jiri Rechtacek 2007-01-10 12:17:33 UTC
Merged and integrated to main trunk.

Checking in
editor/options/src/org/netbeans/modules/options/general/Bundle.properties;
/shared/data/ccvs/repository/editor/options/src/org/netbeans/modules/options/general/Bundle.properties,v
 <--  Bundle.properties
new revision: 1.14; previous revision: 1.13
done
Checking in
editor/options/src/org/netbeans/modules/options/general/AdvancedProxyPanel.java;
/shared/data/ccvs/repository/editor/options/src/org/netbeans/modules/options/general/AdvancedProxyPanel.java,v
 <--  AdvancedProxyPanel.java
new revision: 1.2; previous revision: 1.1
done
Checking in
editor/options/src/org/netbeans/modules/options/general/GeneralOptionsPanel.form;
/shared/data/ccvs/repository/editor/options/src/org/netbeans/modules/options/general/GeneralOptionsPanel.form,v
 <--  GeneralOptionsPanel.form
new revision: 1.6; previous revision: 1.5
done
Checking in
editor/options/src/org/netbeans/modules/options/general/GeneralOptionsModel.java;
/shared/data/ccvs/repository/editor/options/src/org/netbeans/modules/options/general/GeneralOptionsModel.java,v
 <--  GeneralOptionsModel.java
new revision: 1.12; previous revision: 1.11
done
Checking in
editor/options/src/org/netbeans/modules/options/general/AdvancedProxyPanel.form;
/shared/data/ccvs/repository/editor/options/src/org/netbeans/modules/options/general/AdvancedProxyPanel.form,v
 <--  AdvancedProxyPanel.form
new revision: 1.2; previous revision: 1.1
done
Checking in
editor/options/src/org/netbeans/modules/options/general/GeneralOptionsPanel.java;
/shared/data/ccvs/repository/editor/options/src/org/netbeans/modules/options/general/GeneralOptionsPanel.java,v
 <--  GeneralOptionsPanel.java
new revision: 1.29; previous revision: 1.28
done
Checking in core/src/org/netbeans/core/NbAuthenticator.java;
/shared/data/ccvs/repository/core/src/org/netbeans/core/NbAuthenticator.java,v 
<--  NbAuthenticator.java
new revision: 1.21; previous revision: 1.20
done


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo